Loading...
Searching...
No Matches
OBVirtualBond Class Reference

`#include <openbabel/generic.h>`

Inheritance diagram for OBVirtualBond:
[legend]

## Public Member Functions

| OBVirtualBond ()
virtual OBGenericData * | Clone (OBBase *) const
| OBVirtualBond (unsigned int, unsigned int, unsigned int, int stereo=0)
unsigned int | GetBgn ()
unsigned int | GetEnd ()
unsigned int | GetOrder ()
int | GetStereo ()
void | SetAttribute (const std::string &v)
void | SetOrigin (const DataOrigin s)
virtual const std::string & | GetAttribute () const
unsigned int | GetDataType () const
virtual const std::string & | GetValue () const
virtual DataOrigin | GetOrigin () const

## Protected Attributes

unsigned int | _bgn
unsigned int | _end
unsigned int | _ord
int | _stereo
std::string | _attr
unsigned int | _type
DataOrigin | _source

## Detailed Description

Used to temporarily store bonds that reference an atom that has not yet been added to a molecule.

## Constructor & Destructor Documentation

## OBVirtualBond() [1/2]

OBVirtualBond | ( |  | ) |

Referenced by Clone().

## OBVirtualBond() [2/2]

OBVirtualBond | ( | unsigned int | bgn,
|  | unsigned int | end,
|  | unsigned int | ord,
|  | int | stereo = 0 )

## Member Function Documentation

## Clone()

virtual OBGenericData * Clone | ( | OBBase * |  | ) | const

inline virtual

Reimplemented from OBGenericData.

## GetBgn()

unsigned int GetBgn | ( |  | ) |

inline

Referenced by OBMol::AddAtom(), and OBMol::NewAtom().

## GetEnd()

unsigned int GetEnd | ( |  | ) |

inline

Referenced by OBMol::AddAtom(), and OBMol::NewAtom().

## GetOrder()

unsigned int GetOrder | ( |  | ) |

inline

Referenced by OBMol::AddAtom(), and OBMol::NewAtom().

## GetStereo()

int GetStereo | ( |  | ) |

inline

## SetAttribute()

void SetAttribute | ( | const std::string & | v | ) |

inline inherited

Set the attribute (key), which can be used to retrieve this data.

Referenced by OBGastChrg::AssignPartialCharges(), OBMol::DoTransformations(), AliasData::Expand(), OBMol::FindLSSR(), OBMol::FindSSSR(), OBForceField::GetAtomTypes(), OBMol::GetFormula(), OBMol::GetLSSR(), OBForceField::GetPartialCharges(), OBMol::GetSSSR(), OBDescriptor::PredictAndSave(), and OBMol::SetFormula().

## SetOrigin()

void SetOrigin | ( | const DataOrigin | s | ) |

inline inherited

Set the origin of this data, which can be used to filter the data.

Referenced by OBGastChrg::AssignPartialCharges(), OBMol::DoTransformations(), OBMol::FindAngles(), OBMol::FindLSSR(), OBMol::FindSSSR(), OBMol::FindTorsions(), OBMol::GetFormula(), OBMol::GetLSSR(), OBMol::GetSSSR(), OBDescriptor::PredictAndSave(), and OBMol::SetFormula().

## GetAttribute()

virtual const std::string & GetAttribute | ( |  | ) | const

inline virtual inherited

Returns
  The attribute (key), which can be used to retrieve this data

Referenced by OBMoleculeFormat::MakeCombinedMolecule().

## GetDataType()

unsigned int GetDataType | ( |  | ) | const

inline inherited

Returns
  the data type for this object as defined in OBGenericDataType

## GetValue()

virtual const std::string & GetValue | ( |  | ) | const

inline virtual inherited

Base class returns a default value (the attribute type) but should never be called.

Reimplemented in OBCommentData, and OBPairData.

Referenced by OBDepict::DrawMolecule(), OBDescriptor::FilterCompare(), and OBDescriptor::GetValues().

## GetOrigin()

virtual DataOrigin GetOrigin | ( |  | ) | const

inline virtual inherited

## Member Data Documentation

## _bgn

unsigned int _bgn

protected

Referenced by GetBgn(), OBVirtualBond(), and OBVirtualBond().

## _end

unsigned int _end

protected

Referenced by GetEnd(), OBVirtualBond(), and OBVirtualBond().

## _ord

unsigned int _ord

protected

Referenced by GetOrder(), OBVirtualBond(), and OBVirtualBond().

## _stereo

int _stereo

protected

Referenced by GetStereo(), OBVirtualBond(), and OBVirtualBond().

## _attr

std::string _attr

protected inherited

attribute tag (e.g., "UnitCell", "Comment" or "Author")

Referenced by OBRotamerList::Clone(), GetAttribute(), GetValue(), OBGenericData(), OBNasaThermoData::OBNasaThermoData(), OBRotamerList::OBRotamerList(), OBSymmetryData::OBSymmetryData(), and SetAttribute().

## _type

unsigned int _type

protected inherited

attribute type – declared for each subclass

Referenced by OBRotamerList::Clone(), GetDataType(), OBGenericData(), OBNasaThermoData::OBNasaThermoData(), OBRotamerList::OBRotamerList(), and OBSymmetryData::OBSymmetryData().

## _source

DataOrigin _source

protected inherited

source of data for accounting

Referenced by GetOrigin(), OBGenericData(), OBSymmetryData::OBSymmetryData(), OBAngleData::operator=(), OBConformerData::operator=(), OBSymmetryData::operator=(), OBTorsionData::operator=(), and SetOrigin().

The documentation for this class was generated from the following files:

- generic.h
- generic.cpp